swift-container-info(1)

NAME

swift-container-info - OpenStack Swift container-info tool

SYNOPSIS

swift-container-info [CONTAINER_DB_FILE] [SWIFT_DIR]

DESCRIPTION

This is a very simple swift tool that allows a swiftop engineer to retrieve information about a container that is located on the storage node. One calls the tool with a given container db file as it is stored on the storage node system. It will then return several information about that container such as;
- Account it belongs to
- Container
- Created timestamp
- Put timestamp
- Delete timestamp
- Object count
- Bytes used
- Reported put timestamp
- Reported delete timestamp
- Reported object count
- Reported bytes used
- Hash
- ID
- User metadata
- X-Container-Sync-Point 1
- X-Container-Sync-Point 2
- Location on the ring

DOCUMENTATION

More documentation about OpenStack Swift can be found at http://swift.openstack.org/index.html

SEE ALSO
swift-get-nodes(1), swift-object-info(1)